package com.jpsoft.bus.modules.bus.entity;

import java.util.Date;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:bus_vehicle_info的实体类
 */
@Data
@ApiModel(value = "bus_vehicle_info的实体类")
public class VehicleInfo {
    @ApiModelProperty(value = "uuid")
    private String id;
    @ApiModelProperty(value = "运行线路id")
    private String routeId;
    @ApiModelProperty(value = "车牌号")
    private String licensePlateNumber;
    @ApiModelProperty(value = "激活码")
    private String activationCode;
    @ApiModelProperty(value = "gps设备编号")
    private String gpsDeviceNo;
    @ApiModelProperty(value = "门禁设备编号")
    private String deviceNo;
    @ApiModelProperty(value = "车辆照片")
    private String picture;
    @ApiModelProperty(value = "荷载人数")
    private Integer loadNumber;
    @ApiModelProperty(value = "最新的经度")
    private String longitude;
    @ApiModelProperty(value = "最新的纬度")
    private String latitude;
    @ApiModelProperty(value = "状态(1-激活,2-未激活)")
    private String status;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
    @ApiModelProperty(value = "所属单位编号")
    private String companyId;
    @ApiModelProperty(value = "是否运行(0-停车，1-行驶中)")
    private Boolean running;
    @ApiModelProperty(value = "ACC状态")
    private Boolean acc;
    @ApiModelProperty(value = "在线状态")
    private Boolean online;
    @ApiModelProperty(value = "最后所在位置")
    private String latestAddress;
    @ApiModelProperty(value = "运行线路名称")
    private String routeName;
    @ApiModelProperty(value = "轨迹间隔(秒)")
    private Integer trailInterval;
    @ApiModelProperty(value = "车主ID")
    private String accountId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "定位信号最后上传时间")
    private Date gpsUploadTime;
    @ApiModelProperty(value = "app版本号")
    private String appVersion;
    @ApiModelProperty(value = "基座版本号")
    private String baseVersion;
    @ApiModelProperty(value = "原始数据")
    private String rawData;

    @Transient
    private String accountName;

    @Transient
    private String companyName;
}