package com.jpsoft.bus.modules.bus.service;

import java.util.Date;
import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.jpsoft.bus.modules.merchant.entity.AccountInfo;

public interface ShiftInfoService {
	ShiftInfo get(String id);
	boolean exist(String id);
	int insert(ShiftInfo model);
	int update(ShiftInfo model);
	int delete(String id);
	List<ShiftInfo> list();
	Page<ShiftInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

	List<ShiftInfo> listSearch(Map<String, Object> searchParams,List<Sort> sortList);

    List<ShiftInfo> findByDriverIdAndStatus(Long driverId, String status);

    List<ShiftInfo> findByVehicleIdAndStatus(String vehicleId, String status);

	ShiftInfo createShift(VehicleInfo vehicleInfo, Long driverId, String startStationId, String endStationId) throws Exception;

    List<ShiftInfo> findByRouteIdAndStatus(String routeId, String status);

    List<ShiftInfo> findByRouteIdAndStatusAndStartStationId(String routeId, String status, String startStationId);

    void finishShift(ShiftInfo shiftInfo);

    void stationChange(ShiftInfo shiftInfo, String stationId);

	List<String> findVehicleByDriverId(Long driverId);

    List<ShiftInfo> findByVehicleDateAccount(Date startDate, Date endDate, AccountInfo accountInfo);
}