package com.jpsoft.bus.modules.bus.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;

import com.jpsoft.bus.modules.bus.dao.RouteAccountDAO;
import com.jpsoft.bus.modules.bus.entity.RouteAccount;
import com.jpsoft.bus.modules.bus.service.RouteAccountService;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="routeAccountService")
public class RouteAccountServiceImpl implements RouteAccountService {
	@Resource(name="routeAccountDAO")
	private RouteAccountDAO routeAccountDAO;

	@Override
	public RouteAccount get(String id) {
		// TODO Auto-generated method stub
		return routeAccountDAO.get(id);
	}

	@Override
	public int insert(RouteAccount model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return routeAccountDAO.insert(model);
	}

	@Override
	public int update(RouteAccount model) {
		// TODO Auto-generated method stub
		return routeAccountDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return routeAccountDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = routeAccountDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<RouteAccount> list() {
		// TODO Auto-generated method stub
		return routeAccountDAO.list();
	}

	@Override
	public Page<RouteAccount> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<RouteAccount> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            routeAccountDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public List<RouteAccount> findByAccountId(String accountId) {
		return routeAccountDAO.findByAccountId(accountId);
	}

	@Override
	public int deleteByRouteId(String routeId){
		return routeAccountDAO.deleteByRouteId(routeId);
	}

	@Override
	public List<RouteAccount> findByRouteId(String routeId) {
		return routeAccountDAO.findByRouteId(routeId);
	}
}